
From: Jesper Juhl <jesper.juhl@gmail.com>

Here's a small warning fix for drivers/isdn/i4l/isdn_v110.c
 drivers/isdn/i4l/isdn_v110.c:523: warning: `ret' might be used uninitialized in this function

In addition to Karsten Keil signing off on the patch, Thomas Pfeiffer also 
commented on the patch, saying 
"initializing ret with the value zero is correct and should be done."

Please apply.

Signed-off-by: Jesper Juhl <jesper.juhl@gmail.com>
Signed-off-by: Karsten Keil <kkeil@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/isdn/i4l/isdn_v110.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/isdn/i4l/isdn_v110.c~isdn_v110-warning-fix drivers/isdn/i4l/isdn_v110.c
--- devel/drivers/isdn/i4l/isdn_v110.c~isdn_v110-warning-fix	2005-08-30 17:53:10.000000000 -0700
+++ devel-akpm/drivers/isdn/i4l/isdn_v110.c	2005-08-30 17:53:10.000000000 -0700
@@ -516,11 +516,11 @@ buffer_full:
 }
 
 int
-isdn_v110_stat_callback(int idx, isdn_ctrl * c)
+isdn_v110_stat_callback(int idx, isdn_ctrl *c)
 {
 	isdn_v110_stream *v = NULL;
 	int i;
-	int ret;
+	int ret = 0;
 
 	if (idx < 0)
 		return 0;
_
